Commit 3de68103 authored by prspkt's avatar prspkt Committed by Rasmus Thomsen

testing/novnc: upgrade to 1.2.0

parent 577bedd5
......@@ -2,8 +2,8 @@
# Maintainer: Andre Bierwolf <a.b.bierwolf@gmail.com>
pkgname=novnc
_pkgname=noVNC
pkgver=1.0.0
pkgrel=1
pkgver=1.2.0
pkgrel=0
pkgdesc="VNC client using HTML5 (WebSockets, Canvas) with encryption (wss://) support"
url="https://kanaka.github.io/noVNC/"
arch="noarch !mips !mips64" # blocking on websockify
......@@ -40,5 +40,5 @@ package() {
rm -r utils
}
sha512sums="97a86be5f10f382e2ed641360f5f6c3b22998f68f980c78138aca900ef6a011c1f6aa9cbdd8cd07afd4884e8c65af30d65487e87bb34e524c10f16cf4cd116a3 novnc-1.0.0.tar.gz
d4fba29910c81a52af176cc9af533660a2b09a7846d9857824db0a9b5395712ae99ebd1d96a7cb3c29a58b7aad78876c88e14b847d6cb542cf9cb2991730c935 alpine-specific-launch.js.patch"
sha512sums="461490da7bb983e9c94b8ce39f8455ee6609b5a9df8d88254bcc37ebaa5153f5ee9db6afbd88b51762d6d55661bc5cde6fbe70616597583bfce1203e337adf75 novnc-1.2.0.tar.gz
9beb3300206e2e951954fbb02f0ca7f888205b8f38c8210e66f30cdc460d5a08f3e7dd004b1442399cd6df524ae6c80fff9bf52599be8e9d0accf18befc856f9 alpine-specific-launch.js.patch"
--- a/utils/launch.sh
+++ b/utils/launch.sh
@@ -110,42 +110,11 @@
echo "Warning: could not find self.pem"
fi
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
-# try to find websockify (prefer local, try global, then download local)
-if [[ -e ${HERE}/websockify ]]; then
- WEBSOCKIFY=${HERE}/websockify/run
-
- if [[ ! -x $WEBSOCKIFY ]]; then
- echo "The path ${HERE}/websockify exists, but $WEBSOCKIFY either does not exist or is not executable."
- echo "If you intended to use an installed websockify package, please remove ${HERE}/websockify."
- exit 1
- fi
-
- echo "Using local websockify at $WEBSOCKIFY"
-else
- WEBSOCKIFY=$(which websockify 2>/dev/null)
-
- if [[ $? -ne 0 ]]; then
- echo "No installed websockify, attempting to clone websockify..."
- WEBSOCKIFY=${HERE}/websockify/run
- git clone https://github.com/novnc/websockify ${HERE}/websockify
-
- if [[ ! -e $WEBSOCKIFY ]]; then
- echo "Unable to locate ${HERE}/websockify/run after downloading"
- exit 1
- fi
-
- echo "Using local websockify at $WEBSOCKIFY"
- else
- echo "Using installed websockify at $WEBSOCKIFY"
- fi
-fi
-
echo "Starting webserver and WebSockets proxy on port ${PORT}"
-#${HERE}/websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
-${WEBSOCKIFY} ${SSLONLY} --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
+${HERE}/websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
# Copyright (C) 2018 The noVNC Authors
# Licensed under MPL 2.0 or any later version (see LICENSE.txt)
@@ -165,7 +165,7 @@
${WEBSOCKIFY} ${SSLONLY} --web ${WEB} ${CERT:+--cert ${CERT}} ${KEY:+--key ${KEY}} ${PORT} ${VNC_DEST} ${RECORD_ARG} &
proxy_pid="$!"
sleep 1
-if ! ps -p ${proxy_pid} >/dev/null; then
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment